---
title: clip
slug: Web/SVG/Attribute/clip
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The <strong><code>clip</code></strong> attribute is a presentation attribute defining the visible region of an element.</p>

<p>This attribute has the same parameter values as defined for the {{ cssxref("clip","CSS clip property") }}. Unitless values, which indicate current user coordinates, are permitted on the coordinate values on the <code>rect()</code>. The value of <code>auto</code> defines a clipping path along the bounds of the viewport created by the given element.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following six elements: {{ SVGElement("svg") }}, {{ SVGElement("symbol") }}, {{ SVGElement("image") }}, {{ SVGElement("foreignObject") }}, {{ SVGElement("pattern") }}, {{ SVGElement("marker") }}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 20 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- Auto clipping --&gt;
  &lt;svg x="0" width="10" height="10"
       clip="auto"&gt;
    &lt;circle cx="5" cy="5" r="4" stroke="green" /&gt;
  &lt;/svg&gt;

  &lt;!-- Rect(top, right, bottom, left) clipping --&gt;
  &lt;svg x="10" width="10" height="10"
       clip="rect(1, 9, 8, 2)"&gt;
    &lt;circle cx="5" cy="5" r="4" stroke="green" /&gt;
  &lt;/svg&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 150)}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<p class="warning"><strong>Warning:</strong> This property is deprecated. Use {{cssxref("clip-path")}} instead.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>rect()</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p>The value <code>auto</code> defines a clipping path along the bounds of the viewport created by the given element.The value <code>rect()</code> defines a clipping rectangle following the following syntax: <code>rect(&lt;top&gt;, &lt;right&gt;, &lt;bottom&gt;, &lt;left&gt;)</code>. The <code>&lt;top&gt;</code> and <code>&lt;bottom&gt;</code> values specify offsets from the <em>top border edge</em> of the element viewport, while <code>&lt;right&gt;</code> and <code>&lt;left&gt;</code> specify offsets from the <em>left border edge</em> of the element viewport.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Masks', '#clip-property', 'clip')}}</td>
   <td>{{Spec2('CSS Masks')}}</td>
   <td>Deprecates <code>clip</code> property, suggests {{cssxref("clip-path")}} as replacement.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "masking.html#ClipProperty", "clip")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.clip")}}s</p>
